Skip to navigation

Create Bulk Sync Schedule

Adds a new schedule to a bulk sync.

A bulk sync can have multiple schedules attached; adding one here does not replace existing schedules. Schedule times are interpreted in UTC.

Creating a schedule only affects future automatic executions. To run the sync immediately, call POST /api/bulk/syncs/{id}/executions.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
Unique identifier of the bulk sync to add a schedule to

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
scheduleobjectRequired
Bulk sync schedule. Schedule times are interpreted in UTC.

Response

OK
dataobjectOptional
The bulk sync schedule

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error